SUPPORTCHAIN_LISTEXPR(3)

NAME
supportChain_listExpr - returns the support of an expression in a chain_list.

SYNOPSYS
#include "logmmm.h"
chain_list *supportChain_listExpr(expr)
chain_list *expr;

PARAMETER

expr
    expression

DESCRIPTION
supportChain_listExpr() creates a chain_list wich contains all the atoms appearing in expr. Each atom in chain_list appears only once in it.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
chain_list *expr;
chain_list *pt;
expr = createExpr(OR);
addQExpr(expr,createAtom("a"));
addQExpr(expr,createAtom("b"));
addQExpr(expr,createAtom("a"));
pt = supportChain_listExpr(expr);
while (pt)
   {
   printf("%s ",pt->DATA);
   pt = pt->NEXT;
   }
/* it will display
a b
*/
freeExpr(expr);
freechain(pt);		/* mbk function */

SEE ALSO
log(1), abl(1), supportPtype_listExpr(3).